export declare class ChatHeader {
    private disposeSelectedChatListener;
    private disposeUserListener;
    isPinLoading: boolean;
    isSpamLoading: boolean;
    isReadLoading: boolean;
    isPin: boolean;
    isSpam: boolean;
    isUnRead: boolean;
    selectedValue: string;
    componentDidLoad(): Promise<void>;
    componentWillLoad(): Promise<void>;
    disconnectedCallback(): void;
    private handleBackToChatList;
    private handleShowProfile;
    private handleShowProfileTicket;
    private handleToggleReadMessageClick;
    private handleSearchMessageClick;
    private handleSyncChatMessage;
    private handleSyncTags;
    private handleTogglePinChatClick;
    private handleToggleSpamChatClick;
    private handleSelectBotAdmin;
    render(): any;
}
